Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0054553
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Delivery Modesmajoralways2024-02-02 09:562024-02-22 11:37
ReporterradhakrishnanView Statuspublic 
Assigned Toradhakrishnan 
PrioritynormalResolutionfixedFixed in VersionRR24Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0054553: Delivery Mode add Home Delivery without date

DescriptionCurrently there are 3 delivery mode types.

Pick and Carry

Home Delivery

With Date

Pickup In Store

With or Without date

Proposal is to modify Home Delivery to allow a home delivery without date as it is possible for Pickup in Store. There should be a new option available in the Delivery Mode selection as there is for Pickup In Store.
Steps To ReproduceNA
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0160614)
hgbot (developer)
2024-02-12 12:28

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/1467 [^]
(0160615)
hgbot (developer)
2024-02-12 12:28

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/2421 [^]
(0160616)
hgbot (developer)
2024-02-12 12:29

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.events.taxes/-/merge_requests/7 [^]
(0160617)
hgbot (developer)
2024-02-12 12:30

Merge Request created: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/369 [^]
(0161103)
hgbot (developer)
2024-02-22 11:30

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.events.taxes [^]
Changeset: bd3b9eda25b8303332f3f09d50df00c4df338eb6
Author: Radhakrishnan Seeman <radhakrishnan@qualiantech.com>
Date: 12-02-2024 16:11:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.events.taxes/-/commit/bd3b9eda25b8303332f3f09d50df00c4df338eb6 [^]

Related FR-54553: Added 'HomeDeliveryDate' option

---
M web/org.openbravo.events.taxes/app/model/business-object/ticket/TicketUtils.js
---
(0161104)
hgbot (developer)
2024-02-22 11:30

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.events.taxes [^]
Changeset: 0e386f462f8b5b5b03f145771fe22603241fa913
Author: Radhakrishnan Seeman <radhakrishnan.seeman.ext@openbravo.com>
Date: 15-02-2024 19:57:14
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.events.taxes/-/commit/0e386f462f8b5b5b03f145771fe22603241fa913 [^]

Related to FR-54553: Applied code review

---
M web/org.openbravo.events.taxes/app/model/business-object/ticket/TicketUtils.js
---
(0161105)
hgbot (developer)
2024-02-22 11:30

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.events.taxes [^]
Changeset: e6e751748d0a30e509f7fea2a26212aa41ad5b96
Author: Radhakrishnan Seeman <radhakrishnan.seeman.ext@openbravo.com>
Date: 22-02-2024 11:50:09
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.events.taxes/-/commit/e6e751748d0a30e509f7fea2a26212aa41ad5b96 [^]

Related to FR-54553: Renamed isHomeDelivery function as isDeliveryModeHomeDelivery, to be consistent with others

---
M web/org.openbravo.events.taxes/app/model/business-object/ticket/TicketUtils.js
---
(0161106)
hgbot (developer)
2024-02-22 11:30

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.events.taxes/-/merge_requests/7 [^]
(0161107)
hgbot (developer)
2024-02-22 11:31

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: d508da40a6375695313c5ec2dd42f327c055ecb9
Author: Radhakrishnan Seeman <radhakrishnan@qualiantech.com>
Date: 13-02-2024 11:42:03
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/d508da40a6375695313c5ec2dd42f327c055ecb9 [^]

Related to FR-54553: Modified 'HomeDelivery' option to 'HomeDeliveryDate'

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterDeliveryInvTermLayawayWithServiceAsPerProduct.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterDeliveryInvTermLayawayWithServiceAsUniqueQty.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterDeliveryInvTermOrderWithServiceAsPerProduct.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterDeliveryInvTermOrderWithServiceAsUniqueQty.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterOrderDeliveredInvTermLayawayWithServiceAsPerProduct.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterOrderDeliveredInvTermLayawayWithServiceAsUniqueQty.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterOrderDeliveredInvTermOrderWithServiceAsPerProduct.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterOrderDeliveredInvTermOrderWithServiceAsUniqueQty.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermLayawayWithServiceAsPerProductWithInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermLayawayWithServiceAsUniqueQtyWithoutInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermOrderWithServiceAsPerProductWithInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermOrderWithServiceAsPerProductWithoutInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermOrderWithServiceAsUniqueQtyWithInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermOrderWithServiceAsUniqueQtyWithoutInvReceipt.java
---
(0161108)
hgbot (developer)
2024-02-22 11:31

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: e7c2d970696cffe5c7fc9bb0881fba438d1dd4b4
Author: Radhakrishnan Seeman <radhakrishnan.seeman.ext@openbravo.com>
Date: 15-02-2024 12:54:29
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/e7c2d970696cffe5c7fc9bb0881fba438d1dd4b4 [^]

Related to FR-54553: Applied code review
* Added 'Home Delivery' option in tests

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/TestIdExtModules.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterDeliveryInvTermLayawayWithServiceAsPerProduct.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterDeliveryInvTermLayawayWithServiceAsUniqueQty.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterDeliveryInvTermOrderWithServiceAsPerProduct.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterDeliveryInvTermOrderWithServiceAsUniqueQty.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterOrderDeliveredInvTermLayawayWithServiceAsPerProduct.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterOrderDeliveredInvTermLayawayWithServiceAsUniqueQty.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterOrderDeliveredInvTermOrderWithServiceAsPerProduct.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/AfterOrderDeliveredInvTermOrderWithServiceAsUniqueQty.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermLayawayWithServiceAsPerProductWithInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermLayawayWithServiceAsUniqueQtyWithoutInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermOrderWithServiceAsPerProductWithInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermOrderWithServiceAsPerProductWithoutInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermOrderWithServiceAsUniqueQtyWithInvReceipt.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/deliverymodes/ImmediateInvTermOrderWithServiceAsUniqueQtyWithoutInvReceipt.java
---
(0161109)
hgbot (developer)
2024-02-22 11:31

Merge request merged: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/369 [^]
(0161110)
hgbot (developer)
2024-02-22 11:34

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/1467 [^]
(0161111)
hgbot (developer)
2024-02-22 11:35

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 5de6e5809b9e709cf42a3c804ab075e6dbe42f8a
Author: Radhakrishnan Seeman <radhakrishnan@qualiantech.com>
Date: 22-02-2024 10:31:49
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/5de6e5809b9e709cf42a3c804ab075e6dbe42f8a [^]

Fixed FR-54553: Added Home delivery without date

---
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/PaidReceiptsFilter.java
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/AddProductUtils.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/LoadTicketUtils.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/TicketUtils.js
M web/org.openbravo.retail.posterminal/js/components/businesspartner_selector.js
M web/org.openbravo.retail.posterminal/js/hookRenderOrderLine.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/receiptEdit.js
M web/org.openbravo.retail.posterminal/js/receiptMultiLineEdit.js
M web/org.openbravo.retail.posterminal/js/utils/deliveryModeUtils.js
M web/org.openbravo.retail.posterminal/js/utils/ticketListUtils.js
---
(0161112)
hgbot (developer)
2024-02-22 11:35

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: b2f712db68ef24017db34613d54f2928ebb97598
Author: Radhakrishnan Seeman <radhakrishnan@qualiantech.com>
Date: 22-02-2024 10:31:49
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/b2f712db68ef24017db34613d54f2928ebb97598 [^]

Related to FR-54553: Added module script for 'HomeDeliveryWithDate'

---
A build/classes/org/openbravo/retail/posterminal/modulescript/HomeDeliveryWithDate.class
A build/classes/org/openbravo/retail/posterminal/modulescript/HomeDeliveryWithDateData.class
A src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/HomeDeliveryWithDate.java
A src-util/modulescript/src/org/openbravo/retail/posterminal/modulescript/HomeDeliveryWithDate_data.xsql
---
(0161113)
hgbot (developer)
2024-02-22 11:35

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 9bcd51a96e0f4dbdb29aca65a5146e66d4fcfad7
Author: Radhakrishnan Seeman <radhakrishnan@qualiantech.com>
Date: 22-02-2024 10:31:49
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/9bcd51a96e0f4dbdb29aca65a5146e66d4fcfad7 [^]

Related to FR-54553: Added 'HomeDeliveryDate' option in jest tests

---
M web-test/model/business-object/ticket/actions/AddProduct.test.js
M web-test/model/business-object/ticket/actions/SetDeliveryMode.test.js
---
(0161114)
hgbot (developer)
2024-02-22 11:35

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: b41d2f26082bcf629b607ef6a7f8864c1d5a42bb
Author: Radhakrishnan Seeman <radhakrishnan.seeman.ext@openbravo.com>
Date: 22-02-2024 10:31:49
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/b41d2f26082bcf629b607ef6a7f8864c1d5a42bb [^]

Related to FR-54553: Applied code review

---
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/AddProductUtils.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/TicketUtils.js
---
(0161115)
hgbot (developer)
2024-02-22 11:35

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 67d8e5fb22247f9327da3766e281cefe135a185a
Author: Radhakrishnan Seeman <radhakrishnan.seeman.ext@openbravo.com>
Date: 22-02-2024 10:31:49
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/67d8e5fb22247f9327da3766e281cefe135a185a [^]

Related to FR-54553: Renamed isHomeDelivery function as isDeliveryModeHomeDelivery, to be consistent with others

---
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/AddProductUtils.js
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/TicketUtils.js
---
(0161116)
hgbot (developer)
2024-02-22 11:37

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/2421 [^]
(0161117)
hgbot (developer)
2024-02-22 11:37

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 4701e0c37227920b9b0805d5c013d9eda6d42b4a
Author: Radhakrishnan Seeman <radhakrishnan@qualiantech.com>
Date: 22-02-2024 10:31:29
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/4701e0c37227920b9b0805d5c013d9eda6d42b4a [^]

Related to FR-54553: Added 'HomeDeliveryDate' option

---
M src/org/openbravo/pos2/master/PaidReceiptProperties.java
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketHeader/TicketHeaderBPAddressButton/TicketHeaderBPAddressButton.jsx
M web-jspack/org.openbravo.pos2/src/model/ticket/TicketUtils.js
M web-jspack/org.openbravo.pos2/src/model/ticket/user-actions/SetDeliveryMode.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/user-actions/SwitchToPayments.js
---
(0161118)
hgbot (developer)
2024-02-22 11:37

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 0c5769abe1576f5c57c53f6ecc561f1bbf7f9be2
Author: Radhakrishnan Seeman <radhakrishnan@qualiantech.com>
Date: 22-02-2024 10:31:29
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/0c5769abe1576f5c57c53f6ecc561f1bbf7f9be2 [^]

Related to FR-54553: Added 'HomeDeliveyDate' option in jest tests

---
M web-jspack/org.openbravo.pos2/src-test/cypress/e2e/Features/deliveryModes.spec.js
M web-jspack/org.openbravo.pos2/src-test/cypress/fixtures/e2eFixtures/DeliveryModes.json
M web-jspack/org.openbravo.pos2/src-test/cypress/functions/deliveryModes.js
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketDeliveryModeDetail/__test__/TicketDeliveryModeDetail.test.jsx
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketPropertiesPopover/__test__/TicketPropertiesPopover.test.jsx
M web-jspack/org.openbravo.pos2/src/model/ticket/__test__/SetDeliveryMode.test.js
M web-jspack/org.openbravo.pos2/src/model/ticket/__test__/TicketUtils.test.js
---
(0161119)
hgbot (developer)
2024-02-22 11:37

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 7276aa7555c26ff863a94c2b3a9fa023451acd3d
Author: Radhakrishnan Seeman <radhakrishnan.seeman.ext@openbravo.com>
Date: 22-02-2024 10:31:29
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/7276aa7555c26ff863a94c2b3a9fa023451acd3d [^]

Related to FR-54553: Applied code review

---
M web-jspack/org.openbravo.pos2/src-test/cypress/functions/deliveryModes.js
M web-jspack/org.openbravo.pos2/src/components/ButtonBar1/__test__/ButtonBar1.test.jsx
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketHeader/TicketHeaderBPAddressButton/TicketHeaderBPAddressButton.jsx
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketHeader/TicketHeaderBPAddressButton/__test__/TicketHeaderBPAddressButton.test.jsx
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketPropertiesPopover/__test__/TicketPropertiesPopover.test.jsx
M web-jspack/org.openbravo.pos2/src/model/ticket/__test__/SetDeliveryMode.test.js
M web-jspack/org.openbravo.pos2/src/model/ticket/user-actions/SetDeliveryMode.js
---
(0161120)
hgbot (developer)
2024-02-22 11:37

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: ad000dcd10a10b4248fe53679c2b6e594047001d
Author: Radhakrishnan Seeman <radhakrishnan.seeman.ext@openbravo.com>
Date: 22-02-2024 10:31:29
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/ad000dcd10a10b4248fe53679c2b6e594047001d [^]

Related to FR-54553: Applied code review

---
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketPropertiesPopover/TicketPropertiesPopoverBPAddressButton.jsx
---
(0161121)
hgbot (developer)
2024-02-22 11:37

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: bd01a6044d5d66ff065f0c6800da068028e9effd
Author: Radhakrishnan Seeman <radhakrishnan.seeman.ext@openbravo.com>
Date: 22-02-2024 10:31:29
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/bd01a6044d5d66ff065f0c6800da068028e9effd [^]

Related to FR-54553: Renamed isHomeDelivery function as isDeliveryModeHomeDelivery, to be consistent with others

---
M web-jspack/org.openbravo.pos2/src/components/ButtonBar1/__test__/ButtonBar1.test.jsx
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketHeader/TicketHeaderBPAddressButton/TicketHeaderBPAddressButton.jsx
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketHeader/TicketHeaderBPAddressButton/__test__/TicketHeaderBPAddressButton.test.jsx
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketPropertiesPopover/TicketPropertiesPopoverBPAddressButton.jsx
M web-jspack/org.openbravo.pos2/src/components/Ticket/TicketPropertiesPopover/__test__/TicketPropertiesPopover.test.jsx
M web-jspack/org.openbravo.pos2/src/model/ticket/__test__/SetDeliveryMode.test.js
M web-jspack/org.openbravo.pos2/src/model/ticket/user-actions/SetDeliveryMode.js
---

- Issue History
Date Modified Username Field Change
2024-02-02 09:56 radhakrishnan New Issue
2024-02-02 09:56 radhakrishnan Assigned To => radhakrishnan
2024-02-02 09:56 radhakrishnan Triggers an Emergency Pack => No
2024-02-02 09:56 radhakrishnan Status new => scheduled
2024-02-07 07:46 radhakrishnan Category Web POS => Delivery Modes
2024-02-12 12:28 hgbot Note Added: 0160614
2024-02-12 12:28 hgbot Note Added: 0160615
2024-02-12 12:29 hgbot Note Added: 0160616
2024-02-12 12:30 hgbot Note Added: 0160617
2024-02-22 11:30 hgbot Note Added: 0161103
2024-02-22 11:30 hgbot Note Added: 0161104
2024-02-22 11:30 hgbot Note Added: 0161105
2024-02-22 11:30 hgbot Note Added: 0161106
2024-02-22 11:31 hgbot Note Added: 0161107
2024-02-22 11:31 hgbot Note Added: 0161108
2024-02-22 11:31 hgbot Note Added: 0161109
2024-02-22 11:34 hgbot Note Added: 0161110
2024-02-22 11:35 hgbot Resolution open => fixed
2024-02-22 11:35 hgbot Status scheduled => closed
2024-02-22 11:35 hgbot Fixed in Version => RR24Q2
2024-02-22 11:35 hgbot Note Added: 0161111
2024-02-22 11:35 hgbot Note Added: 0161112
2024-02-22 11:35 hgbot Note Added: 0161113
2024-02-22 11:35 hgbot Note Added: 0161114
2024-02-22 11:35 hgbot Note Added: 0161115
2024-02-22 11:37 hgbot Note Added: 0161116
2024-02-22 11:37 hgbot Note Added: 0161117
2024-02-22 11:37 hgbot Note Added: 0161118
2024-02-22 11:37 hgbot Note Added: 0161119
2024-02-22 11:37 hgbot Note Added: 0161120
2024-02-22 11:37 hgbot Note Added: 0161121


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker